List

Lists the caller’s orders from every shipping integration with filtering, sorting, and pagination. | () -> (ShippingIntegrationOrderListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_byenum or nullOptional
Field to sort by.
Allowed values:
sort_orderenum or nullOptional

Sort order (asc or desc).

Allowed values:
pageinteger or nullOptional>=1Defaults to 1
page_sizeinteger or nullOptional1-100Defaults to 20
filter_shipping_integrationenum or nullOptional

Filter by shipping integration(s)

Allowed values:
filter_provider_org_idstring or nullOptional

Filter by provider org ID(s)

filter_statusenum or nullOptional

Filter by unified status(es)

Allowed values:
filter_integration_order_idstring or nullOptional
Filter by the provider's exact order ID
filter_reference_numberstring or nullOptional
Filter by an exact reference number carried on the order
filter_ordered_at_timestamp_gtedatetime or nullOptional

Filter ordered_at_timestamp >= value

filter_ordered_at_timestamp_ltedatetime or nullOptional

Filter ordered_at_timestamp <= value

filter_last_mirrored_at_timestamp_gtedatetime or nullOptional

Filter last_mirrored_at_timestamp >= value

filter_last_mirrored_at_timestamp_ltedatetime or nullOptional

Filter last_mirrored_at_timestamp <= value

filter_first_mirrored_at_timestamp_gtedatetime or nullOptional

Filter first_mirrored_at_timestamp >= value

filter_first_mirrored_at_timestamp_ltedatetime or nullOptional

Filter first_mirrored_at_timestamp <= value

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Orders List V1request Unprocessable Entity Error